# IF binomial doc. ressour. 1re : IF symtrique (quilibr) en proba
# n est la taille de l'chantillon, p est la probabilit de succs
# kobs est le nombre de succs observ dans l'chantillon
# proba est le seuil de confiance de l'intervalle de fluctuation
# a est le plus grand entier tel que P(X < a) <= 0,025
# b est le plus petit entier tel que P(X > b) <= 0,025
IFexact1 = function(n = 65, p = .06, kobs = 8, proba = .95){
 reparti1 <- pbinom(0:n, n, p, lower.tail = T)
 names(reparti1) <- 0:n
 pinf <- 0 ; a <- 1
 while(pinf <= (1 - proba) / 2){
   pinf <- pbinom(a - 1, n, p, lower.tail = T)
   a <- a + 1                  }
 psup <- 0 ; b <- n - 1
 while(psup <= (1 - proba) / 2){
   psup <- pbinom(b, n, p, lower.tail = F)
   b <- b - 1                  }
 probaab <- sum(dbinom((a - 2):(b + 2), n, p))
 if(kobs >= (a - 2) & kobs <= (b + 2)) {
   hypothese <- "ACCEPTE"             } else {hypothese <- "REFUSE"}
#********** Affichage des rsultats et des graphiques*************
 cat("\nTableau partiel de la rpartition de X\n")
  print(reparti1[(a - 2):(a - 1)])
  print(reparti1[(b + 2):(b + 3)])
 cat("\nL'IF exact des comptages symtrique en proba est :\n[",
   (a - 2),",",b + 2,"] de probabilit :", probaab,
   "\n\nL'IF exact des proportions symtrique en proba est :\n[",
   (a - 2) / n,",",(b + 2) / n,"]\n\n",
   "Hypothse p population = ", p, ": confronte  f observ =",
   kobs / n, " : ", hypothese, "\n")
}
