FONCTION R
# IF binomial doc. ressour. 1re : IF symtrique (quilibr) en proba
# n est la taille de l'chantillon, p est la probabilit de succs
# kobs est le nombre de succs observ dans l'chantillon
# proba est le seuil de probabilit de l'intervalle de fluctuation
# a est le plus petit entier tel que P(X <= a) > 0,025
# b est le plus petit entier tel que P(X <= b) >= 0,975
IFexact2 = function(n = 65, p = .06, kobs = 8, proba = .95){
 a <- 0 ; b <- 0
 reparti1 <- pbinom(0:n, n, p, lower.tail = T)
 names(reparti1) <- 0:n
 pinf <- 0
 while(pinf <= (1 - proba) / 2){
   pinf <- pbinom(a, n, p, lower.tail = T)
   a <- a + 1                  }
 pinf <- 0
 while(pinf < (1 - (1 - proba) / 2)){
   pinf <- pbinom(b, n, p, lower.tail = T)
   b <- b + 1                     }
 probaab <- sum(dbinom((a - 1):(b - 1), n, p))
 if(kobs >= (a - 1) & kobs <= (b - 1)) {
   hypothese <- "ACCEPTE"             } else {hypothese <-"REFUSE"}
#*******Affichage des rsultats et des graphiques*******
 cat("\nL'IF exact des comptages symtrique en proba est :\n[",
   a - 1,",",b - 1,"] de probabilit :", probaab,
   "\n\nL'IF exact des proportions symtrique en proba est :\n[",
   (a - 1) / n,",",(b - 1) / n,"]\n\n",
   "Hypothse p thorique = ", p,
   ": confronte  f observ =",kobs / n, " : ", hypothese,"\n")
}
